<?php
/**
 * Поиск MP3 (ВКонтакте)
 *
 * Автор: byvlad
 * Версия: 2.12
 * Стоимость: 400 WMR
 */

/**
* Системные переменные и настройки
*/
session_start();
ignore_user_abort(1);
set_time_limit(0);
date_default_timezone_set(date_default_timezone_get()); 	// Устанавливаем временную зону
$Ob_Start = ob_start();
$HeadTime = microtime(true); // Засекаем время работы скрипта
error_reporting(-1); 	// Уровень вывода ошибок
ini_set('display_errors', false); 		// Не будем показывать их пользователю, таким образом ошибки будут логироватся
ini_set('xhtml_errors', true);		// xHTML ошибки тоже важны, поэтому будем их отображать
define('ACTION', (isset($_GET['action'])) ? $_GET['action'] : '');

/**
* Загрузка настроек и подключение DB-класса
*/
$config = parse_ini_file('config.ini', true);
require_once('DB.class.php');

/**
* Соединение с MySQL
*/
$mysqli = @ new DB($config['db']['host'], $config['db']['user'], $config['db']['password'], $config['db']['db']);
if (mysqli_connect_errno())
	exit('Fatal error! ' . mysqli_connect_error());

$mysqli -> set_charset('UTF8'); // Устанавливаем кодировку UTF-8
?>